Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface MiscFeatureAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface MiscFeatureAdaptor
extends FeatureAdaptor

Adaptor for retrieving MiscFeatures.

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch(Location location, MiscSet miscSet)` Fetch all MiscFeatures lying in the location and corresponding to the miscSet
`MiscFeature` | `fetch(long internalID)`
`java.util.List` | `fetch(MiscSet miscSet)` Fetch all MiscFeatures corresponding to the miscSet.
`java.util.List` | `fetchByAttributeType(java.lang.String type)` Fetch all MiscFeatures corresponding to the type.
`java.util.List` | `fetchByAttributeTypeAndValue(java.lang.String type, java.lang.String value)` Fetch all MiscFeatures corresponding to the type and value.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public MiscFeature fetch(long internalID)
                      throws AdaptorException

  Returns:
    A MiscFeature matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Location location,
                                MiscSet miscSet)
                         throws AdaptorException

  Fetch all MiscFeatures lying in the location and corresponding to the miscSet

  Parameters:
    `location` - location to filter against.
    `miscSet` - MiscSet to filter against.
  Returns:
    zero or more MiscFeatures.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(MiscSet miscSet)
                         throws AdaptorException

  Fetch all MiscFeatures corresponding to the miscSet.

  Parameters:
    `miscSet` - MiscSet to filter against.
  Returns:
    zero or more MiscFeatures.
  Throws:
    `AdaptorException`

### fetchByAttributeType

    public java.util.List fetchByAttributeType(java.lang.String type)
                                        throws AdaptorException

  Fetch all MiscFeatures corresponding to the type.

  Parameters:
    `type` - type to filter against.
  Throws:
    `AdaptorException`

### fetchByAttributeTypeAndValue

    public java.util.List fetchByAttributeTypeAndValue(java.lang.String type,
                                                       java.lang.String value)
                                                throws AdaptorException

  Fetch all MiscFeatures corresponding to the type and value.

  Parameters:
    `type` - type to filter against.
    `value` - value to filter against.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD